Bug 152377 - Kernel panic during install -SCSI spin_lock problem
Summary: Kernel panic during install -SCSI spin_lock problem
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-29 00:53 UTC by David J. Schwartz
Modified: 2015-01-04 22:18 UTC (History)
2 users (show)

Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 09:29:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David J. Schwartz 2005-03-29 00:53:19 UTC
Description of problem:

Install crashes with:

<0>Kernel panic - not syncing: drivers/block/ll_rw_bloc.c:1281: spin_lock
(drivers/scsi/scsi_scan.c:de84fc14) already locked by 
drivers/scsi/scsi_lib.c/1326. (Not tainted)

Hardware is vmware.

Version-Release number of selected component (if applicable):

FC4T1 installer.

How reproducible:

Install workstation.

Steps to Reproduce:
1. Run installer on vmware
2. Select workstation
3. Start install
  
Actual results:

Lots of Gtk errors about Gtk.FALSE being deprecated followed by the kernel 
panic.

Expected results:

Install completes normally.

Additional info:

Hopefully the file/line pairs in the panic message will allow the bug to be 
tracked down and fixed.

Comment 1 Dave Jones 2005-05-23 23:40:57 UTC
fixed in later builds ?


Comment 2 Dave Jones 2005-06-27 23:14:13 UTC
Mass update for bugs reported against -test:
Updating version field to FC4 final. Please retest with final FC4 release if you
have not already done so. Thanks.

Comment 3 Dave Jones 2005-07-15 21:17:12 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.



Note You need to log in before you can comment on or make changes to this bug.